﻿using System;

namespace ServerSIP
{
    public static class cVaxDefine
    {
        public const String LINE_REG_TRYING = "line trying to register.";
        public const String LINE_REG_FAILED = "line failed to register.";
        public const String LINE_REG_SUCCESS = "line success to register.";

        ////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////
        
        public const String USER_UNREGISTER = "user unregistered successfully.";
        public const String USER_REG_SUCCESS = "user success to register.";
        public const String USER_REG_FAILED = "user failed to register.";
        public const String USER_REG_TRYING = "user trying to register.";
        public const String USER_NOT_FOUND = "user not found.";

        ////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////

        public const String GROUP_PROCESS_MODE_RING_ALL = "Ring All";
        public const String GROUP_PROCESS_MODE_HUNT_RANDOM = "Hunt Random";
        public const String GROUP_PROCESS_MODE_ROUND_ROBIN = "Round Robin";
        public const String GROUP_PROCESS_MODE_LEAST_ANSWERED = "Least Answered";
        public const String GROUP_PROCESS_MODE_LEAST_TALK_TIME = "Least Talk Time";
        public const String GROUP_PROCESS_MODE_LONGEST_WAITING = "Longest Waiting";
        public const String GROUP_PROCESS_MODE_PRIORITIZED_HUNT = "Prioritized Hunt";
                
        public const String GROUP_PROCESS_MODE_PROCESS_TYPE_FREE = "Free";
        public const String GROUP_PROCESS_MODE_PROCESS_TYPE_ANY = "Any";

        ////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////

        public const String MUSIC_FILE_QUEUE = "Queue.wav"; 
        public const String MUSIC_FILE_HOLD = "Hold.wav";
        public const String MUSIC_FILE_DIAL_TONE = "DialTone.wav";
        public const String MUSIC_FILE_CALL_PARKING = "Hold.wav";

        ////////////////////////////////////////////////////

        static public Boolean IsDigitAll(String sStr)
        {
            String sDigit = "0123456789";

            for (int nCount = 0; nCount < sStr.Length; nCount++)
            {
                if (sDigit.IndexOf(sStr[nCount]) == -1)
                {
                    return false;
                }
            }

            return true;
        }

    }
}
