unit VaxPipeData;

interface

uses
  System.Classes, Windows,
  System.SysUtils, System.Generics.Collections;

type

  TVaxPipeData = class

  private

    m_pData: PByte;
    m_nSize: Integer;

  public

    constructor Create(pData: PByte; nSize: Integer);
    destructor Destroy; override;

    property Data: PByte read m_pData;
    property Size: Integer read m_nSize;

end;

  implementation

  constructor TVaxPipeData.Create(pData: PByte; nSize: Integer);
  begin

    m_nSize := nSize;

    GetMem(m_pData, nSize);
    Move(pData^, m_pData^, nSize);

  end;

  destructor TVaxPipeData.Destroy;
  begin
    FreeMem(m_pData);
    inherited;
  end;

end.


