unit VaxAccessAudioPCM;

interface

uses
  System.Classes,
  VaxPipeClientThread, VaxArrayBuff,
  System.SysUtils;

// type TVaxAccessAudioPCM = class(TVaxPipeClientThread)  // Uncomment if needed

type TVaxAccessAudioPCM = class(TObject)

  private

  // Uncomment if needed
  // m_objDataPCM: TVaxArrayBuff;

  private
  procedure PreparePipeName(nSessionId: Integer; nChannelId: Integer; var sPipeNameZERO: String; var sPipeNameONE: String);

  public

  constructor Create(nSessionId: Integer; nChannelId: Integer);
  destructor Destroy(); override;

  private

  // Uncomment if needed
  // procedure OnVaxPipeClientRecvPCM(nMediaPos: Integer; aDataPCM: PByte; nSizePCM: Integer); override;

  public
  procedure OnCallSessionAccessAudioPCM(nSessionId: Integer; nChannelId: Integer; nAccessType: Integer; pDataPCM: PByte; nSizePCM: Integer);

end;

implementation

  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  Uses VaxServerSIP, VaxServerCOM;

  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  constructor TVaxAccessAudioPCM.Create(nSessionId: Integer; nChannelId: Integer);
  var
    sPipeNameZERO : String;
    sPipeNameONE : String;
  begin

    // Uncomment if needed

    (*
    m_objDataPCM := TVaxArrayBuff.Create();
    m_objDataPCM.SetSizeGrow(6400);
    *)

    // Uncomment if needed

    (*
    PreparePipeName(nSessionId, nChannelId, sPipeNameZERO, sPipeNameONE);

    TVaxServerSIP.mVaxSIP.AccessAudioPCM(nSessionId, nChannelId, sPipeNameZERO, TVaxServerSIP.VAX_ACCESS_PCM_TYPE_PIPE_DUPLEX_MEDIA_INBOUND);
    TVaxServerSIP.mVaxSIP.AccessAudioPCM(nSessionId, nChannelId, sPipeNameONE, TVaxServerSIP.VAX_ACCESS_PCM_TYPE_PIPE_MEDIA_OUTBOUND);

    inherited Create(sPipeNameZERO, sPipeNameONE);
    *)

    ////////////////////////////////////////////////////////////////////////////
    ////////////////////////////////////////////////////////////////////////////

    //Begins the process that triggers the OnCallSessionAccessAudioPCM() event.

    (*
    TVaxServerSIP.mVaxSIP.AccessAudioPCM(nSessionId, nChannelId, '', TVaxServerSIP.VAX_ACCESS_PCM_TYPE_EVENT_MEDIA_INBOUND);
    TVaxServerSIP.mVaxSIP.AccessAudioPCM(nSessionId, nChannelId, '', TVaxServerSIP.VAX_ACCESS_PCM_TYPE_EVENT_MEDIA_OUTBOUND);
    *)

  end;

  destructor TVaxAccessAudioPCM.Destroy();
  begin

    inherited Destroy();

    // Uncomment if needed

    // m_objDataPCM.Destroy();

  end;

  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  procedure TVaxAccessAudioPCM.PreparePipeName(nSessionId: Integer; nChannelId: Integer; var sPipeNameZERO: String; var sPipeNameONE: String);
  begin

    sPipeNameZERO := Format('\\.\pipe\VaxPipe%dServerSIP%dIN', [nSessionId, nChannelId]);
    sPipeNameONE := Format('\\.\pipe\VaxPipe%dServerSIP%dOUT', [nSessionId, nChannelId]);

  end;


  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  // Uncomment if needed

  (*
  procedure TVaxAccessAudioPCM.OnVaxPipeClientRecvPCM(nMediaPos: Integer; aDataPCM: PByte; nSizePCM: Integer);
  begin

        // Warning: PipeClient-Thread Context: Sharing objects necessitates the use of critical sections.
        //Supported DataPCM format 8KHz, 16Bit, Mono (uncompressed)


        // if nMediaPos = 0 then
        // begin
        //  inherited PostWritePipe(aDataPCM, nSizePCM);
        // end;


  end;
  *)


  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  procedure TVaxAccessAudioPCM.OnCallSessionAccessAudioPCM(nSessionId: Integer; nChannelId: Integer; nAccessType: Integer; pDataPCM: PByte; nSizePCM: Integer);
  begin

    //Supported DataPCM format 8KHz, 16Bit, Mono (uncompressed)

    // Uncomment if needed

    //m_objDataPCM.WriteToBUFF(pDataPCM, nSizePCM);

  end;

end.

