unit VaxTransfer;

interface

uses

  System.Classes;

type TVaxTransfer = class
var

  public
  constructor Create(); reintroduce; overload;

  public
  procedure OnCallSessionTransferBlind(nTransfererSessionId: Integer; nTransfererChannelId: Integer; const sTransferer: string; const sTransferee: string; const sTransferTo: string);
  procedure OnCallSessionTransferConsult(nTransfererSessionId: Integer; nTransfererChannelId: Integer; nTransferToSessionId: Integer; nTransferToChannelId: Integer; sTransferer: String; sTransferee: String; sTransferTo: String);

end;

implementation

  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  Uses VaxServerSIP, VaxServerCOM;

  //////////////////////////////////////////////////////////////////////////////
  //////////////////////////////////////////////////////////////////////////////

  constructor TVaxTransfer.Create();
  begin
  end;

  procedure TVaxTransfer.OnCallSessionTransferBlind(nTransfererSessionId: Integer; nTransfererChannelId: Integer; const sTransferer: string; const sTransferee: string; const sTransferTo: string);
  begin
    TVaxServerSIP.mVaxSIP.AcceptTransferBlind(nTransfererSessionId, sTransferee, sTransferee, sTransferTo, sTransferTo, '', 30);
  end;

  procedure TVaxTransfer.OnCallSessionTransferConsult(nTransfererSessionId: Integer; nTransfererChannelId: Integer; nTransferToSessionId: Integer; nTransferToChannelId: Integer; sTransferer: String; sTransferee: String; sTransferTo: String);
  begin
    TVaxServerSIP.mVaxSIP.AcceptTransferConsult(nTransfererSessionId, nTransferToSessionId);
  end;

end.

