﻿using System;
using System.Collections;

namespace ServerSIP
{
    class cVaxPickUpGroup
    {
        public static Boolean AddCallPickUpGroup(String sGroupName, ArrayList objMemberList)
        {
            if (cVaxServerSIP.mVaxSIP.IsInitialized() == false || (sGroupName.Length == 0))
                return false;

            RemoveCallPickUpGroup(sGroupName);

            if (!cVaxServerSIP.mVaxSIP.AddCallPickUpGroup(sGroupName))
                return false;

            foreach (String sMemberName in objMemberList)
            {
                cVaxServerSIP.mVaxSIP.AddCallPickUpGroupMember(sGroupName, sMemberName);
            }

            cStoreCallPickUp.AddGroup(sGroupName, objMemberList);
            return true;
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////

        public static void RemoveCallPickUpGroup(String sGroupName)
        {
            if (cVaxServerSIP.mVaxSIP.IsInitialized() == false || (sGroupName.Length == 0))
                return;

            cVaxServerSIP.mVaxSIP.RemoveCallPickUpGroup(sGroupName);
            cStoreCallPickUp.RemoveGroup(sGroupName);
        }

        ////////////////////////////////////////////////////////////////////////////////////////////////////////
        ////////////////////////////////////////////////////////////////////////////////////////////////////////

        public static void LoadCallPickUpGroup()
        {
            if (!cVaxServerSIP.mVaxSIP.IsInitialized())
                return;

            ArrayList objListNameAll = new ArrayList();
            cStoreCallPickUp.GetGroupNameAll(ref objListNameAll);

            if (objListNameAll.Count == 0)
                return;

            ArrayList objMemberList = new ArrayList();

            foreach (String sGroupName in objListNameAll)
            {
                cStoreCallPickUp.GetGroup(sGroupName, ref objMemberList);
                AddCallPickUpGroup(sGroupName, objMemberList);
            }
        }
    }
}
