﻿using System;
using System.Collections;

namespace BasicIVR
{
    class cStoreCOMM
    {
        const string COMM_ROOT_PATH = "COMM\\";

        public static Boolean SetListenPortSIP(int nListenPort)
        {
            string sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            objStore.SetINT(sKeyPath, "ListenPortSIP", nListenPort);
            objStore.Close();

            return true;
        }

        public static int GetListenPortSIP()
        {
            string sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            int nListenPortSIP = cVaxServerCOM.SIP_DEFAULT_PORT;

            objStore.GetINT(sKeyPath, "ListenPortSIP", ref nListenPortSIP, cVaxServerCOM.SIP_DEFAULT_PORT);
            objStore.Close();

            return nListenPortSIP;
        }

        //////////////////////////////////////////////////////////////////////
        //////////////////////////////////////////////////////////////////////
        
        /*
        public static void SetMusicFiles(string sMusicHold, string sMusicDialTone, string sMusicCallPark)
        {
            string sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            objStore.SetTEXT(sKeyPath, "MusicHold", sMusicHold);
            objStore.SetTEXT(sKeyPath, "MusicDialTone", sMusicDialTone);
            objStore.SetTEXT(sKeyPath, "MusicCallParking", sMusicCallPark);

            objStore.Close();
        }

        public static void GetMusicFiles(ref string sMusicHold, ref string sMusicDialTone, ref string sMusicCallPark)
        {
            string sKeyPath = COMM_ROOT_PATH;
            cStoreRegistry objStore = new cStoreRegistry();

            objStore.GetTEXT(sKeyPath, "MusicHold", ref sMusicHold, cVaxDefine.MUSIC_FILE_HOLD);
            objStore.GetTEXT(sKeyPath, "MusicDialTone", ref sMusicDialTone, cVaxDefine.MUSIC_FILE_DIAL_TONE);
            objStore.GetTEXT(sKeyPath, "MusicCallParking", ref sMusicCallPark, cVaxDefine.MUSIC_FILE_CALL_PARKING);

            objStore.Close();
        }
         */
     
        //////////////////////////////////////////////////////////////////////
        //////////////////////////////////////////////////////////////////////

        public static bool IsDataStored()
        {
            cStoreRegistry objStore = new cStoreRegistry();
            bool bResult = objStore.IsKeyExist(COMM_ROOT_PATH);
            
            objStore.Close();
            return bResult;
        }

    }
}
