﻿using System;
using System.Collections;

namespace BasicIVR
{
    class cVaxCallSessionList
    {
        Hashtable m_objDataList = null;

        public cVaxCallSessionList()
        {
            m_objDataList = new Hashtable(4096);
        }

        public void AddSession(int nSessionId)
        {
            if (m_objDataList.ContainsKey(nSessionId))
                return;

            cVaxCallSession objData = new cVaxCallSession();
            objData.m_nSessionId = nSessionId;

            m_objDataList.Add(nSessionId, objData);
        }

        public cVaxCallSession GetSession(int nSessionId)
        {
            return (cVaxCallSession) m_objDataList[nSessionId];
        }

        public cVaxCallSession FindPhoneNoSession(UInt32 nPhoneNoId)
        {
            IDictionaryEnumerator objDataEnum = m_objDataList.GetEnumerator();
            DictionaryEntry objDataEntry;

            while (objDataEnum.MoveNext())
            {
                objDataEntry = (DictionaryEntry) objDataEnum.Current;
                cVaxCallSession objData = (cVaxCallSession)objDataEntry.Value;

                if (objData.m_nPhoneNoId == nPhoneNoId)
                {
                    return objData;
                }
            }

            return null;
        }

        public Boolean IsExist(int nSessionId)
        {
            return m_objDataList.ContainsKey(nSessionId);
        }

        public void RemoveSession(int nSessionId)
        {
            m_objDataList.Remove(nSessionId);
        }

        public void ClearAll()
        {
            m_objDataList.Clear();
        }
    }
}
