Imports ServerSIP.ServerSIP

Public Class MainForm

    Dim m_objVaxTeleSIP As cVaxServerSIP = New cVaxServerSIP()

    Public Shared m_objMainForm As MainForm

    Private m_objGeneralForm As GeneralForm
    Private m_objAddLoginForm As LoginForm

    Private m_objAddLineForm As LineForm
    Private m_objAddRoomForm As RoomForm
    

    Private m_objStatusLogForm As StatusLogForm

    Public Sub New()

        InitializeComponent()

        m_objGeneralForm = New GeneralForm()
        m_objAddLoginForm = New LoginForm()

        m_objAddLineForm = New LineForm()
        m_objAddRoomForm = New RoomForm()

        m_objStatusLogForm = New StatusLogForm()
        m_objVaxTeleSIP.m_objStatusLogDlg = m_objStatusLogForm

    End Sub

    Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        m_objMainForm = Me

        m_objGeneralForm.TopLevel = False
        m_objGeneralForm.Visible = True
        m_objGeneralForm.FormBorderStyle = FormBorderStyle.None
        m_objGeneralForm.Dock = DockStyle.Fill
        TabCtrlMain.TabPages.Item(0).Controls.Add(m_objGeneralForm)

        m_objAddLoginForm.TopLevel = False
        m_objAddLoginForm.Visible = True
        m_objAddLoginForm.FormBorderStyle = FormBorderStyle.None
        m_objAddLoginForm.Dock = DockStyle.Fill
        TabCtrlMain.TabPages.Item(1).Controls.Add(m_objAddLoginForm)

        m_objAddLineForm.TopLevel = False
        m_objAddLineForm.Visible = True
        m_objAddLineForm.FormBorderStyle = FormBorderStyle.None
        m_objAddLineForm.Dock = DockStyle.Fill
        TabCtrlMain.TabPages.Item(2).Controls.Add(m_objAddLineForm)

        m_objAddRoomForm.TopLevel = False
        m_objAddRoomForm.Visible = True
        m_objAddRoomForm.FormBorderStyle = FormBorderStyle.None
        m_objAddRoomForm.Dock = DockStyle.Fill
        TabCtrlMain.TabPages.Item(3).Controls.Add(m_objAddRoomForm)

        m_objStatusLogForm.TopLevel = False
        m_objStatusLogForm.Visible = True
        m_objStatusLogForm.FormBorderStyle = FormBorderStyle.None
        m_objStatusLogForm.Dock = DockStyle.Fill
        TabCtrlMain.TabPages.Item(4).Controls.Add(m_objStatusLogForm)

    End Sub

    Public Sub SetPageTitle(ByVal sTitle As String, ByVal nPageNo As Integer)

        TabCtrlMain.TabPages.Item(nPageNo).Text = sTitle

    End Sub

    Private Sub TabCtrlMain_DrawItem(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DrawItemEventArgs) Handles TabCtrlMain.DrawItem

        Dim g As Graphics = e.Graphics
        Dim f As Font = New Font(e.Font, FontStyle.Bold)
        Dim b As New SolidBrush(SystemColors.Control)
        g.FillRectangle(b, e.Bounds)

        b.Color = Color.Black
        g.DrawString(Me.TabCtrlMain.TabPages(e.Index).Text, e.Font, b, e.Bounds.X + 2, e.Bounds.Y + 2)

        b.Dispose()
        f.Dispose()

    End Sub

    Private Sub TabCtrlMain_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TabCtrlMain.SelectedIndexChanged

        Dim nTabIndex As Integer = TabCtrlMain.SelectedIndex

        If (nTabIndex = 0) Then
            m_objGeneralForm.OnSetActive()
        ElseIf (nTabIndex = 1) Then
            m_objAddLoginForm.OnSetActive()
        ElseIf (nTabIndex = 2) Then
            m_objAddLineForm.OnSetActive()
        ElseIf (nTabIndex = 3) Then
            m_objAddRoomForm.OnSetActive()
        End If

    End Sub

End Class
